JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"]
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Update UI Action setting (scale)
const updated = await box.action.updateSettings({
scale: 0.9
});
console.log("Updated setting:", updated);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # default
box = gbox_sdk.create(type="android")
# Update UI Action setting (scale)
updated = box.action.update_settings(
scale=0.9
)
print("Updated setting:", updated)
if __name__ == "__main__":
main()curl --request PUT \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"scale": 1
}'{
"scale": 1
}UI Action
Update settings
Update the action settings for the box
PUT
/
boxes
/
{boxId}
/
actions
/
settings
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"]
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Update UI Action setting (scale)
const updated = await box.action.updateSettings({
scale: 0.9
});
console.log("Updated setting:", updated);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # default
box = gbox_sdk.create(type="android")
# Update UI Action setting (scale)
updated = box.action.update_settings(
scale=0.9
)
print("Updated setting:", updated)
if __name__ == "__main__":
main()curl --request PUT \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"scale": 1
}'{
"scale": 1
}Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Body
application/json
Action setting
The scale of the action to be performed. Must be greater than 0.1 and less than or equal to 1.
Notes:
- Scale does not change the box's actual screen resolution.
- It affects the size of the output screenshot and the coordinates/distances of actions. Coordinates and distances are scaled by this factor. Example: when scale = 1, Click({x:100, y:100}); when scale = 0.5, the equivalent position is Click({x:50, y:50}).
Required range:
0.1 <= x <= 1Example:
1
Response
200 - application/json
Action setting
The scale of the action to be performed. Must be greater than 0.1 and less than or equal to 1.
Notes:
- Scale does not change the box's actual screen resolution.
- It affects the size of the output screenshot and the coordinates/distances of actions. Coordinates and distances are scaled by this factor. Example: when scale = 1, Click({x:100, y:100}); when scale = 0.5, the equivalent position is Click({x:50, y:50}).
Required range:
0.1 <= x <= 1Example:
1
Was this page helpful?